<!--
  Generated template for the InterInventario page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <img class="logo1" src="img/logo_interna.png">
  </ion-navbar>

</ion-header>


<ion-content >
  <div>
      <div class="title-section task">
        <p>{{dataSend.target}} </p>
        <button class="btn-enviar" *ngIf="dataSend.install_status == 'No Instalado'" (click)="enviarInstalacion()" ion-button >
          <ion-icon class="check" name="ios-checkmark"></ion-icon>
          Enviar
        </button>
        <button class="btn-enviar" *ngIf="dataSend.install_status == 'Instalado'" (click)="funcionInstalado()" ion-button >
          <ion-icon class="check" name="ios-checkmark"></ion-icon>
          Enviar
        </button>
      </div>
      <div class="contenido-inventario">
          <ion-item class="input-inventario">
          	<p>Código: {{dataSend.code}}</p>
              <!-- <ion-label class="label-inventario"  fixed>Codigo</ion-label>
              <ion-input type="textarea" value=""></ion-input>-->
          </ion-item>
          <ion-item class="input-inventario">
          	<p>Campaña: {{namecampaign}}</p>
          </ion-item>
          <ion-item class="input-inventario">
          	<p>Tienda: {{namestore}}</p>
          </ion-item>
          <ion-item class="input-inventario">
            <p>Localización: {{location_name}}</p>
          </ion-item>
          
          <ion-list>

          
 
         <ion-item class="input-inventario">
            <ion-label>Estado</ion-label>
            <ion-select id="instalado" name="target" [(ngModel)]="dataSend.install_status">
              <ion-option value="Instalado"> Instalado </ion-option>
              <ion-option value="No Instalado"> No Instalado </ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario"  *ngIf="dataSend.install_status == 'Instalado'">
            <ion-label>Comentarios</ion-label>
            <ion-textarea [(ngModel)]="dataSend.comment"  placeholder="Escribe...." lineHeight="22"></ion-textarea>
          </ion-item>

          <ion-item class="input-inventario" *ngIf="dataSend.install_status == 'No Instalado'">
            <ion-label>Motivo</ion-label>
            <ion-select name="status" [(ngModel)]="dataSend.motive" >
              <ion-option  value="Elemento no autorizado para exhibición">Elemento no autorizado para exhibición</ion-option>
              <ion-option  value="Espacio no armado">Espacio no armado</ion-option>
            </ion-select>
          </ion-item>

          <ion-item class="input-inventario" *ngIf="dataSend.install_status == 'No Instalado'">
            <ion-label>Submotivo</ion-label>
            <ion-select name="status" [(ngModel)]="dataSend.submotive" >
              <ion-option  value="Rechazado por personal de tienda">Rechazado por personal de tienda</ion-option>
              <ion-option  value="Sin producto en tienda">Sin producto en tienda</ion-option>
              <ion-option  value="Elemento no programado">Elemento no programado</ion-option>
              <ion-option  value="Sin espacio en tienda para la instalación">Sin espacio en tienda para la instalación</ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.install_status == 'No Instalado'">
            <ion-label>Observaciones</ion-label>
            <ion-textarea [(ngModel)]="dataSend.comment" placeholder="Escribe...." lineHeight="22"></ion-textarea>
          </ion-item>       
        </ion-list>
      </div>
  </div>
  <div>
    <button ion-button full  (click)="foto()" class="foto"> <ion-icon class="icono-agregar" name="md-camera"></ion-icon> Tomar foto </button>
  
  </div>
  <img [src]="image" *ngIf="image" />
</ion-content>
